gnutls_sign_algorithm_get_requested(3)

NAME
gnutls_sign_algorithm_get_requested - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_sign_algorithm_get_requested(gnutls_session_t session, size_t indx, gnutls_sign_algorithm_t * algo);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

size_t indx
    is an index of the signature algorithm to return

gnutls_sign_algorithm_t * algo
    the returned certificate type will be stored there

DESCRIPTION
Returns the signature algorithm specified by index that was requested by the peer. If the specified index has no data available this function returns GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE. If the negotiated TLS version does not support signature algorithms then GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned even for the first index. The first index is 0.

This function is useful in the certificate callback functions to assist in selecting the correct certificate.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/